% Generated by roxygen2 (4.0.1): do not edit by hand
\name{stackpoly}
\alias{stackpoly}
\title{function "stackpoly" by Jim Lemon from "plotrix" package}
\usage{
stackpoly(x, y, main = "", xlab = "", ylab = "", xat = NA,
  xaxlab = NA, xlim = NA, ylim = NA, lty = 1, border = NA, col = NA,
  axis4 = F, ...)
}
\arguments{
\item{x}{A numeric data frame or matrix with the 'x' values. If 'y' is NULL,
these will become the 'y' values and the 'x' positions will be the integers
from 1 to dim(x)[1].}

\item{y}{The 'y' values.}

\item{main}{The title for the plot.}

\item{xlab}{x axis labels for the plot.}

\item{ylab}{y axis labels for the plot.}

\item{xat}{Where to put the optional xaxlabs.}

\item{xaxlab}{Optional labels for the x positions.}

\item{xlim}{Optional x limits.}

\item{ylim}{Optional y limits.}

\item{lty}{Line type for the polygon borders.}

\item{border}{Color for the polygon borders.}

\item{col}{Color to fill the polygons. If NULL, 'rainbow' will be called to
generate the colors. If NA, the polygons will not be filled.}

\item{axis4}{option to add an axis on the right hand side}

\item{\dots}{Additional arguments passed to 'plot'.}
}
\description{
Plot one or more columns of numeric values as the top edges of polygons
instead of lines.
}
\author{
Jim Lemon
}
\references{
\url{http://cran.r-project.org/web/packages/plotrix/index.html}
}
\keyword{hplot}

